ICEWM(7)

NAME
icewm - a small and fast window manager

SYNOPSIS
icewm [-display DISPLAY] [-c CONFIG] [-n] [-debug] icewm-session, icewmwb, icewmtray, icewmhint, icehelp, icesound-experimental (experimental flavor only) and icewm-menu-gnome2 (gnome support package)

DESCRIPTION
This manual page documents briefly the IceWM window manager and programs around it. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page. Instead, it has documentation in HTML format; see below.

The goal of IceWM is to provide a small, fast and familiar window manager for the X11 window system. Compatibility with the mwm window manager is desired and will be implemented where appropriate.

Because of the high number of features (some of them unstable/experimental or designed for more computer performance), the icewm package in Debian is provided in different variants (flavors): the default one, experimental, lite. There is also the gnome flavor provided for historical reason but it uses the same programs as the default flavor. To run an application which belongs to a different flavor, complete the program name with the flavor name, eg. resulting in icewmtray-experimental.

INVOCATION
Most users use IceWM either as their primary Window Manager or embedded as part of another X session manager, eg. GNOME. For the first task, please run icewm-session or one of its variants, adding a command like "exec icewm-session-experimental" to your ~/.xsession file. icewm-session will invoke all needed programs like icewmbg (background configurator) and icewmtray. See the IceWM manual for details.

For the second task, choose IceWM in the configuration of your Desktop Environment, eg. in the Gnome Command Center.

GNOME SUPPORT
The programs icewm-menu-gnome1 and icewm-menu-gnome2 are provided by the icewm-gnome-support package. They collect available menu data of GNOME menues and pass it to IceWM. icewm-menu-gnome1 supports Gnome 1, icewm-menu-gnome2 supports Gnome 2 and KDE menues. See the default menu file /etc/X11/icewm/menu for examples and IceWM manual for further information about them.

SOUND EVENTS
Sound event support is highly experimental and available in the experimental flavor only.

OPTIONS
icewm knows following options:

-display DISPLAY
    Set X display to DISPLAY.

-c CONFIG
    Use configuration file CONFIG.

-n  Don't use a configuration file.

-debug
    Dump various debug information to stderr.

SEE ALSO
The original documentation can be found in /usr/share/doc/icewm-common/ in HTML and SGML format, or it can be accessed through the dwww system if it is installed.

AUTHOR
This manual page was originaly written by Gergely Madarasz <gorgo@caesar.elte.hu> for the Debian GNU/Linux system and is maintained by Eduard Bloch <blade@debian.org> now.